## techiemedotin

BAN USERWill this help??

http: //techieme.in/easy-way-to-understand-quick-sort/

Do you consider recursion as another loop??

Hi,

I would suggest you to check out project Euler. Search it in google. This will give you insight to all such sort of problems as follow:

LCM, HCF,

finding divisors of numbers and

finding greatest numbers which can be divided by the LCM of given numbers.

Once after enough practice for this, you can move to more data structure oriented problems... mostly related to graphs because the high rating questions in competitive programming are mostly network related and for this you will not have any question list other than the 500 point topcoder questions and hacker rank questions.

I think 3-4 months of consistent practice will make you better. Remember, its a journey, you will never reach any goal because there is no goal.

You may also like to check out my blog http: //techieme.in

It can be possibly done in (MlogM + NlogM + C)

Where M<=N

Sort the smaller array.

Maintain a map (DISTINCT_MAP , initially empty)

For each element of the bigger array

Check if it exists in the DISTINCT_MAP. If yes remove if from the DISTINCT_MAP.

If not then check in the smaller array using Binary Search

If the element is not found in smaller sorted array, put it in distinct map.

At the end of the iteration (which is O(N)) the DISTINCT_MAP is your answer.

How many numbers can be formed is N! if all the digits are unique in the given number.

To find out how many prime, you need to apply simple rules.

If there are even numbers in the digits, you need to subtract all the numbers which might end in even numbers.

Similarly you can eliminate all the numbers which might end in a 5.

You probably just need to evaluate numbers ending in 1, 3, 7 and 9.

Hey Prabhat,

In my opinion it is fair to ask anything in the interview. An interviewer is not just looking for an accurate answer but your approach.

It really doesn't matter if you solve it or not. If he can find that you are doing it right and eventually if given some time you can get the solution right, that is a good enough judgement opportunity for him/her.

You know its not always the technical knowledge which is tested, its also the aptitude and attitude of the candidate which is tested.

Hi,

Not all negative feed backs mean that you didn't perform well technically. There are several other reasons. The following characteristics are judged in an interview:

1) Technical Strength

2) Cultural Fit

3) Aptitude

4) Compensation

5) Attitude

6) Team Work etc.

So, if you still got a negative feedback, may be that is not the right place for you. :)

In Spring, you don't use new A(). You use dependency injection. The responsibility of doing new A() is with Spring Container.

You start a Spring Container using an XML or Annotation Configurations. You declare beans, you never instantiate beans.

You tell Spring that there is a bean called A. Now Spring, automatically creates an instance of A. For some reference, check here. http: //techieme.in/annotation-based-spring-mvc/

This is a problem of topological ordering in graphs. Here is a related link http: //techieme.in/topological-ordering-for-graphs/

- techiemedotin July 07, 2015Hi, Algorithms and Data structures books are good, but they are not interactive enough. If you want an interactive way of learning. Start here http: //techieme.in/data-structures-and-algorithms-session-1/ and if you face any difficulty, use the chat widget.

- techiemedotin July 07, 2015**CareerCup**is the world's biggest and best source for software engineering interview preparation. See all our resources.

Open Chat in New Window

Isn't it 18 minutes 15 seconds..

- techiemedotin October 02, 2015Total time lost in 365 days = 3 * 365 = 1095 seconds which is equivalent to 18 minutes and 15 seconds.